# AddWearableSlotToHiddenList

**Declaration**\
public void **AddWearableSlotToHiddenList**(**WearableSlot** \_wearableSlot);<br>

**Parameters**

<table><thead><tr><th width="217">Parameter</th><th>Description</th></tr></thead><tbody><tr><td><strong>WearableSlot</strong> _wearableSlot</td><td><em>The Wearable Slot you want to copy the data from to the Hidden Wearable Manager.</em></td></tr></tbody></table>

**Description**\
The public function to add a Wearable to the hidden manager list. The following code demonstrates how to do so. In this example, we are adding the current chest Wearable to the Hidden Wearable Manager:

```csharp
ModularCharacterManager myCharacter;

WearableSlot chestSlot = myCharacter.currentSet.wearableSlots[WearableIndices.chestIndex];
myCharacter.hiddenWearableManager.AddWearableSlotToHiddenList(chestSlot);

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://stellar-game-assets.gitbook.io/modular-character-system/reference/scripting-guide/hidden-wearable-manager-functions/addwearableslottohiddenlist.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
